<?php
namespace Pinpoint\Feed\Cron;
use Magento\Store\Model\StoreManagerInterface;
use Pinpoint\Feed\Model\PageCmsFeed;
use Psr\Log\LoggerInterface;

class PageFeedCron
{
    protected $pageCmsFeed;
    protected $logger;

    public function __construct(PageCmsFeed $pageCmsFeed, LoggerInterface $logger, StoreManagerInterface $storeManager)
    {
        $this->pageCmsFeed = $pageCmsFeed;
        $this->logger = $logger;
        $this->storeManager = $storeManager;
    }

    public function execute()
    {
        $stores = $this->storeManager->getStores();

        foreach ($stores as $store) {
            $this->logger->info('Page Feed Cron Running for ' . $store->getName());
            $this->pageCmsFeed->setStore($store);
            $this->pageCmsFeed->generateXml();
            $this->logger->info('Page Feed Cron Completed for ' . $store->getName());
        }
    }
}