<?php
namespace Pinpoint\Feed\Helper;

use Magento\Store\Model\ScopeInterface;

class Data extends \Magento\Framework\App\Helper\AbstractHelper
{
    const XML_PATH_PRODUCT_FILENAME = 'feeds/product_feed/filename';
    const XML_PATH_PRODUCT_FILEPATH = 'feeds/product_feed/filepath';
    const XML_PATH_PRODUCT_ENABLED = 'feeds/product_feed/enabled';
    const XML_PATH_PRODUCT_FEED_FIELD = 'feeds/product_feed/';

    const XML_PATH_PAGE_FILENAME = 'feeds/page_feed/filename';
    const XML_PATH_PAGE_FILEPATH = 'feeds/page_feed/filepath';
    const XML_PATH_PAGE_ENABLED = 'feeds/page_feed/enabled';

    public function isProductFeedEnabled($storeId)
    {
        return $this->scopeConfig->getValue(
            self::XML_PATH_PRODUCT_ENABLED,
            ScopeInterface::SCOPE_STORE,
            $storeId
        ) == '1';
    }

    public function getProductFeedFilename($storeId)
    {
        return $this->scopeConfig->getValue(
            self::XML_PATH_PRODUCT_FILENAME,
            ScopeInterface::SCOPE_STORE,
            $storeId
        );
    }

    public function getProductFeedFilepath($storeId)
    {
        return $this->scopeConfig->getValue(
            self::XML_PATH_PRODUCT_FILEPATH,
            ScopeInterface::SCOPE_STORE,
            $storeId
        );
    }

    public function isPageFeedEnabled($storeId)
    {
        return $this->scopeConfig->getValue(
            self::XML_PATH_PAGE_ENABLED,
            ScopeInterface::SCOPE_STORE,
            $storeId
        ) == '1';
    }

    public function getPageFeedFilename($storeId)
    {
        return $this->scopeConfig->getValue(
            self::XML_PATH_PAGE_FILENAME,
            ScopeInterface::SCOPE_STORE,
            $storeId
        );
    }

    public function getPageFeedFilepath($storeId)
    {
        return $this->scopeConfig->getValue(
            self::XML_PATH_PAGE_FILEPATH,
            ScopeInterface::SCOPE_STORE,
            $storeId
        );
    }

    public function getProductFeedField($fieldName, $storeId)
    {
        $alias =  $this->scopeConfig->getValue(
            self::XML_PATH_PRODUCT_FEED_FIELD .  $fieldName,
            ScopeInterface::SCOPE_STORE,
            $storeId
        );

        if (trim($alias)) {
            return $alias;
        } else {
            return $fieldName;
        }
    }
}